Generation Framework

## org.eclipse.gmf.tooldef
Interface MainMenu

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, Menu, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MainMenuImpl

    public interface MainMenu

extends Menu

A representation of the model object 'Main Menu'. no default action and no id, just a collection of items

The following features are supported:

- `Title`

See Also:
  `GMFToolPackage.getMainMenu()`
** Generated **
Model:

Method Summary
`java.lang.String` `getTitle()` Returns the value of the 'Title' attribute
`void` `setTitle(java.lang.String value)` Sets the value of the '`Title`' attribute

Methods inherited from interface org.eclipse.gmf.tooldef.Menu
`getItems`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTitle

    java.lang.String getTitle()

  Returns the value of the 'Title' attribute.

  If the meaning of the 'Title' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Title' attribute.
  See Also:
    `setTitle(String)`, `GMFToolPackage.getMainMenu_Title()`
  ** Generated **
  Model:

### setTitle

    void setTitle(java.lang.String value)

  Sets the value of the '`Title`' attribute.

  Parameters:
    `value` - the new value of the 'Title' attribute.
  See Also:
    `getTitle()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.